Bug 197870 - [PATCH] Update Tryton 2.8 modules to latest versions (finance/tryton* etc.)
Summary: [PATCH] Update Tryton 2.8 modules to latest versions (finance/tryton* etc.)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-21 01:24 UTC by matthias
Modified: 2015-03-08 09:45 UTC (History)
2 users (show)

See Also:


Attachments
Shar archive containing patches (58.03 KB, text/plain)
2015-02-21 01:24 UTC, matthias
no flags Details
Consolidated patch file (49.81 KB, patch)
2015-03-05 21:20 UTC, Matthias Petermann
no flags Details | Diff
Proposed patch (49.85 KB, patch)
2015-03-07 19:46 UTC, Matthias Petermann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias 2015-02-21 01:24:43 UTC
Created attachment 153258 [details]
Shar archive containing patches

The attached shar archive contains patch files to update Tryton 2.8 modules to the latest versions.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-02-21 03:13:40 UTC
Notify maintainer.  (Not sure if submitter is maintainer?)
Comment 2 Matthias Petermann 2015-02-21 09:25:52 UTC
Approved by Maintainer (same person as submitter)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2015-03-05 09:47:11 UTC
Hello Matthias,

would you please submit single diff for this changes? The same applies to bug 197935. All this ports may (and need to) be updated in one atomic step, so there is no need to split the big diff into few small ones. 
Thanks.
Comment 4 Matthias Petermann 2015-03-05 21:20:42 UTC
Created attachment 153868 [details]
Consolidated patch file
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2015-03-05 21:56:25 UTC
Take.
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2015-03-06 09:35:10 UTC
Matthias, patch is fine except that you forgot to remove PORTREVISION in all ports, where PORTVERSION had changed. Would you please update your patch?

The same applies to tryton 2.4 patch. If I understand correctly, you just concatenated the patches into one big patch. It is applies fine, but PORTREVISION should be removed too, so updated patch is needed.
Comment 7 Matthias Petermann 2015-03-07 19:46:57 UTC
Created attachment 153966 [details]
Proposed patch
Comment 8 Matthias Petermann 2015-03-07 19:51:53 UTC
Hello Ruslan,

thanks for your hints - I just uploaded fixed versions of the Tryton 2.8 and 2.4 patch. You are right - I concatenated the patches for 2.4 to save time. I did a test also on my side and it applies fine. 

Best regards & thanks for your time,
Matthias
Comment 9 commit-hook freebsd_committer 2015-03-08 09:44:07 UTC
A commit references this bug:

Author: rm
Date: Sun Mar  8 09:43:15 UTC 2015
New revision: 380744
URL: https://svnweb.freebsd.org/changeset/ports/380744

Log:
  finance/tryton28: version update

   * update tryton 2.8 stack to latest versions
   * utilize CHEESESHOP macro in MASTER_SITES, while here

  PR:		197870
  Submitted by:	 Matthias Petermann <matthias@petermann-it.de> (maintainer)

Changes:
  head/finance/tryton28/Makefile
  head/finance/tryton28/distinfo
  head/finance/trytond28/Makefile
  head/finance/trytond28/distinfo
  head/finance/trytond28_account/Makefile
  head/finance/trytond28_account/distinfo
  head/finance/trytond28_account_asset/Makefile
  head/finance/trytond28_account_asset/distinfo
  head/finance/trytond28_account_invoice/Makefile
  head/finance/trytond28_account_invoice/distinfo
  head/finance/trytond28_account_statement/Makefile
  head/finance/trytond28_account_statement/distinfo
  head/finance/trytond28_account_stock_anglo_saxon/Makefile
  head/finance/trytond28_account_stock_anglo_saxon/distinfo
  head/finance/trytond28_analytic_account/Makefile
  head/finance/trytond28_analytic_account/distinfo
  head/finance/trytond28_calendar/Makefile
  head/finance/trytond28_calendar/distinfo
  head/finance/trytond28_calendar_scheduling/Makefile
  head/finance/trytond28_calendar_scheduling/distinfo
  head/finance/trytond28_calendar_todo/Makefile
  head/finance/trytond28_calendar_todo/distinfo
  head/finance/trytond28_carrier_weight/Makefile
  head/finance/trytond28_carrier_weight/distinfo
  head/finance/trytond28_country/Makefile
  head/finance/trytond28_country/distinfo
  head/finance/trytond28_currency/Makefile
  head/finance/trytond28_currency/distinfo
  head/finance/trytond28_ldap_authentication/Makefile
  head/finance/trytond28_ldap_authentication/distinfo
  head/finance/trytond28_party/Makefile
  head/finance/trytond28_party/distinfo
  head/finance/trytond28_product/Makefile
  head/finance/trytond28_product/distinfo
  head/finance/trytond28_product_cost_fifo/Makefile
  head/finance/trytond28_product_cost_fifo/distinfo
  head/finance/trytond28_production/Makefile
  head/finance/trytond28_production/distinfo
  head/finance/trytond28_project/Makefile
  head/finance/trytond28_project/distinfo
  head/finance/trytond28_project_invoice/Makefile
  head/finance/trytond28_project_invoice/distinfo
  head/finance/trytond28_project_plan/Makefile
  head/finance/trytond28_project_plan/distinfo
  head/finance/trytond28_project_revenue/Makefile
  head/finance/trytond28_project_revenue/distinfo
  head/finance/trytond28_purchase/Makefile
  head/finance/trytond28_purchase/distinfo
  head/finance/trytond28_purchase_invoice_line_standalone/Makefile
  head/finance/trytond28_purchase_invoice_line_standalone/distinfo
  head/finance/trytond28_sale/Makefile
  head/finance/trytond28_sale/distinfo
  head/finance/trytond28_sale_opportunity/Makefile
  head/finance/trytond28_sale_opportunity/distinfo
  head/finance/trytond28_sale_supply/Makefile
  head/finance/trytond28_sale_supply/distinfo
  head/finance/trytond28_sale_supply_drop_shipment/Makefile
  head/finance/trytond28_sale_supply_drop_shipment/distinfo
  head/finance/trytond28_stock/Makefile
  head/finance/trytond28_stock/distinfo
  head/finance/trytond28_stock_forecast/Makefile
  head/finance/trytond28_stock_forecast/distinfo
  head/finance/trytond28_stock_inventory_location/Makefile
  head/finance/trytond28_stock_inventory_location/distinfo
  head/finance/trytond28_stock_location_sequence/Makefile
  head/finance/trytond28_stock_location_sequence/distinfo
  head/finance/trytond28_stock_lot/Makefile
  head/finance/trytond28_stock_lot/distinfo
  head/finance/trytond28_stock_product_location/Makefile
  head/finance/trytond28_stock_product_location/distinfo
  head/finance/trytond28_stock_split/Makefile
  head/finance/trytond28_stock_split/distinfo
  head/finance/trytond28_stock_supply/Makefile
  head/finance/trytond28_stock_supply/distinfo
  head/finance/trytond28_stock_supply_day/Makefile
  head/finance/trytond28_stock_supply_day/distinfo
  head/finance/trytond28_stock_supply_production/Makefile
  head/finance/trytond28_stock_supply_production/distinfo
  head/finance/trytond28_timesheet/Makefile
  head/finance/trytond28_timesheet/distinfo
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2015-03-08 09:45:24 UTC
Committed, thank you.